require 'items/item'

class Beamer < Item
  attr_accessor :destination
  
  def initialize(field)
    super field, Sprite.new("beamer.png")
  end
  
  def walkable?
    true
  end
  def blowable?
    true
  end
  def blocks_explosion?
    false
  end
  def can_plant_bomb?
    false
  end
  
  def walked_over(player)
    if player.moving_to == @field.coords && @field.distance_from_center(player.pos) < 10
      player.pos = @destination
      player.moving_to = nil
    end
  end
end
