require 'game_object'

class Item < GameObject
  attr_accessor :field
  
  def initialize(field, surface, add_to_field = true)
    @field = field
    super field.pos, surface
    field.items += [self] if add_to_field
  end
  
  def walkable?
    true
  end
  def blowable?
    true
  end
  def blocks_explosion?
    false
  end
  def collectable?
    false
  end
  def can_plant_bomb?
    true
  end
  
  def blown(explosion)
  end
  
  def walked_over(player)
  end
  
  def update(dtime)
    super dtime
  end
end
