require 'items/collectable_item'

class SnailItem < CollectableItem
  def initialize(field)
    super field, Sprite.new("snail_item.png")
  end
  
  def walked_over(player)
    player.secondary_weapon = SnailWeapon.new(player)
    super player
  end
end
