require 'items/collectable_item'

class SpeedItem < CollectableItem
  def initialize(field)
    super field, Sprite.new("speed.png")
  end
  
  def walked_over(player)
    player.speed = [player.speed + Settings.gameplay.item_speed_increase, Settings.gameplay.max_speed].min
    super player
  end
end
