class FadeoverEffect
  def initialize
    @old_screen = Rubygame::Surface.new [Game.screen.w, Game.screen.h]
    Game.screen.blit @old_screen, [0, 0]
    @time = 0
  end
  
  def update(dtime)
    @time += dtime
  end
  
  def draw(srf)
    @old_screen.blit srf, [0, 0]
  end
  
  def finish!(next_effect = nil)
    Game.fadeover_effect = next_effect
  end
end
