require 'game_object'

class MovableGameObject < GameObject
  attr_accessor :v
  
  def initialize(position, surface, velocity = V(0, 0))
    @v = velocity
    super position, surface
  end
  
  def update(dtime)
    @pos += @v * dtime
  end
end
